"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _router = require("@reach/router");

require("../../styles/antd.css");

require("../../styles/jodit.min.css");

var _AdminRouter = _interopRequireDefault(require("./AdminRouter"));

var _PreviewRouter = _interopRequireDefault(require("./PreviewRouter"));

var _PrivateRouter = _interopRequireDefault(require("./PrivateRouter"));

var _useAuth = _interopRequireDefault(require("../../hooks/useAuth"));

var _useSite = _interopRequireDefault(require("../../hooks/useSite"));

var _store = require("../../store");

var _auth = require("../../utils/auth");

// import external css files
// import components
const Router = props => {
  var _authUser$capabilitie, _storageUser$capabili, _authUser$capabilitie2, _storageUser$capabili2;

  const [{
    authState: {
      authUser
    }
  }] = (0, _store.useStore)(); // Get 'capabilities' information from local storage to avoid unnecessary waiting to fetch authUser.
  // Technically, someone could manipulate those values manually, but the API call for site or post afterwards would fail anyway.

  const storageUser = (0, _auth.getUser)();
  (0, _useAuth.default)();
  (0, _useSite.default)();

  if ((0, _auth.getPreviewID)()) {
    return /*#__PURE__*/_react.default.createElement(_PreviewRouter.default, props);
  } else if (authUser !== null && authUser !== void 0 && (_authUser$capabilitie = authUser.capabilities) !== null && _authUser$capabilitie !== void 0 && _authUser$capabilitie.edit_posts || storageUser !== null && storageUser !== void 0 && (_storageUser$capabili = storageUser.capabilities) !== null && _storageUser$capabili !== void 0 && _storageUser$capabili.edit_posts) {
    return /*#__PURE__*/_react.default.createElement(_AdminRouter.default, props);
  } else if (authUser !== null && authUser !== void 0 && (_authUser$capabilitie2 = authUser.capabilities) !== null && _authUser$capabilitie2 !== void 0 && _authUser$capabilitie2.read || storageUser !== null && storageUser !== void 0 && (_storageUser$capabili2 = storageUser.capabilities) !== null && _storageUser$capabili2 !== void 0 && _storageUser$capabili2.read) {
    return /*#__PURE__*/_react.default.createElement(_PrivateRouter.default, props);
  } else {
    return /*#__PURE__*/_react.default.createElement(_router.Redirect, {
      to: "/jam-cms",
      noThrow: true
    });
  }
};

var _default = Router;
exports.default = _default;